<?php
require_once('db.php');
class MysqlDb{
    private $dbc;
    private $magic_quotes_active;
    private $real_escape_string;
	public $last_query;
    
    function __construct() {
        $this->open_connection();
        $this->magic_quotes_active = get_magic_quotes_gpc();
        $this->real_escape_string = function_exists('mysqli_real_escape_string');
    }
	
    private function open_connection(){
        $this->dbc = @mysqli_connect(DB_HOST,DB_USERNAME,DB_PASSWORD,DB_NAME) or die('You have an error in database'.mysqli_error());
    }
	
    public function close_connection(){
        if (isset($this->dbc)){
            mysqli_close($this->dbc);
            mysqli_free_result($this->dbc);
        }
    }
	
    public function query($q){
        $this->last_query = $q;
        $r = @mysqli_query($this->dbc,$q);
        $this->confirm_query($r);
        return $r;
    }
    
    public function confirm_query($r){
        if (!$r){
			$output = "Your Last query is ".$this->last_query."<br />";
            $output .= "mysql faced error :" .mysqli_error($this->dbc);
			die($output);
        }
    }
    
    function mysql_escape_string($value){
        if ($this->real_escape_string){
        	if($this->magic_quotes_active){$value= stripslashes($value);}
            $value = mysqli_real_escape_string($this->dbc,$value);
        }else{
            if(!$this->magic_quotes_active){$value= addslashes($value);}
        }
        return $value;
	}
	//**unneccessary function for mysql to improve class**//
	function fetch_assoc($r){
		return mysqli_fetch_assoc($r);
	}
	
	function num_rows($r){
		return mysqli_num_rows($r);
	}
	
	function affected_rows(){
		return mysqli_affected_rows($this->dbc);
	}
	
	function insert_id(){
		return mysqli_insert_id($this->dbc);
	}
	
	function fetch_array($r){
		return mysqli_fetch_array($r);
	}
}

$database = new MysqlDb();
$db =& $database;
?>